package cn.com.ctop.kuaishou.modules.report.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface MaterialReportMapper {
    List<JSONObject> selectByMap(Map<String, Object> paramsMap);

    Integer selectMaxHourByDate(@Param("statDate") String statDate);

    JSONObject selectChainRatioByMap(Map<String, Object> paramsMap);

    List<JSONObject> selectDailyByMap(Map<String, Object> paramsMap);

    JSONObject selectDailyChainRatioByMap(Map<String, Object> paramsMap);

    List<JSONObject> selectHourMaterialList(Map<String, Object> paramsMap);

    List<JSONObject> selectDayMaterialList(Map<String, Object> paramsMap);
}
